For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet all pricing
        • GETGet a listing by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManListings

Get all pricing

GET
/v1/listings/pricing
GET
/v1/listings/pricing
$curl https://api.propexo.com/v1/listings/pricing \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "395e51f01ce848a2b4f3508c3401f60846fcf0c0bc4b7307cce7e8bb03fabbf1",
18 "x_property_id": "ea387f8a-f93c-439f-80dd-29d6080c52cc",
19 "x_listing_id": "d7aa93a39e24d6a4e90e2ca07b5c1bffc4fd312bf9bd5ac9ee4fc35f09601890",
20 "base_rent_in_cents": null,
21 "concession_in_cents": null,
22 "effective_rent_in_cents": 200000,
23 "start_date": "2025-02-26T00:00:00.000Z",
24 "end_date": null,
25 "available_date": null,
26 "lease_term_in_months": 12,
27 "custom_data": {},
28 "property_id": "clwi5xiix000008l6ctdgafyh",
29 "listing_id": "cm7f3cfdf1159411808j6nh52i8i3to",
30 "integration_id": "clwh5u07w000508me66sfh3um",
31 "integration_vendor": "RESMAN"
32 }
33 ]
34}
Get all pricing
Was this page helpful?
Previous

Get a listing by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external listing id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

listing_idstringOptional
The Propexo unique identifier for the listing
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the listing.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error